Loading...
Searching...
No Matches
Dune::CollectiveIterator< T, A >::iterator Class Reference

Iterator over the valid underlying iterators. More...

`#include <dune/common/parallel/remoteindices.hh>`

## Public Types

typedef Map::iterator | RealIterator
typedef Map::iterator | ConstRealIterator

## Public Member Functions

| iterator (const RealIterator &iter, const ConstRealIterator &end, GlobalIndex &index)
| iterator (const RealIterator &iter, const ConstRealIterator &end, GlobalIndex index, Attribute attribute)
| iterator (const iterator &other)
iterator & | operator++ ()
const RemoteIndex & | operator* () const
int | process () const
const RemoteIndex * | operator-> () const
bool | operator== (const iterator &other) const
bool | operator!= (const iterator &other) const

## Detailed Description

template<class T, class A>
class Dune::CollectiveIterator< T, A >::iterator

Iterator over the valid underlying iterators.

An iterator is valid if it points to a remote index whose global id is equal to the one currently examined.

## Member Typedef Documentation

## ConstRealIterator

template<class T, class A>

typedef Map::iterator Dune::CollectiveIterator< T, A >::iterator::ConstRealIterator

## RealIterator

template<class T, class A>

typedef Map::iterator Dune::CollectiveIterator< T, A >::iterator::RealIterator

## Constructor & Destructor Documentation

## iterator() [1/3]

template<class T, class A>

Dune::CollectiveIterator< T, A >::iterator::iterator | ( | const RealIterator & | iter,
|  | const ConstRealIterator & | end,
|  | GlobalIndex & | index )

inline

Todo
  Please doc me!

## iterator() [2/3]

template<class T, class A>

Dune::CollectiveIterator< T, A >::iterator::iterator | ( | const RealIterator & | iter,
|  | const ConstRealIterator & | end,
|  | GlobalIndex | index,
|  | Attribute | attribute )

inline

## iterator() [3/3]

template<class T, class A>

Dune::CollectiveIterator< T, A >::iterator::iterator | ( | const iterator & | other | ) |

inline

Todo
  Please doc me!

## Member Function Documentation

## operator!=()

template<class T, class A>

bool Dune::CollectiveIterator< T, A >::iterator::operator!= | ( | const iterator & | other | ) | const

inline

Todo
  Please doc me!

## operator*()

template<class T, class A>

const RemoteIndex & Dune::CollectiveIterator< T, A >::iterator::operator* | ( |  | ) | const

inline

Todo
  Please doc me!

## operator++()

template<class T, class A>

iterator & Dune::CollectiveIterator< T, A >::iterator::operator++ | ( |  | ) |

inline

Todo
  Please doc me!

## operator->()

template<class T, class A>

const RemoteIndex * Dune::CollectiveIterator< T, A >::iterator::operator-> | ( |  | ) | const

inline

Todo
  Please doc me!

## operator==()

template<class T, class A>

bool Dune::CollectiveIterator< T, A >::iterator::operator== | ( | const iterator & | other | ) | const

inline

Todo
  Please doc me!

## process()

template<class T, class A>

int Dune::CollectiveIterator< T, A >::iterator::process | ( |  | ) | const

inline

Todo
  Please doc me!

The documentation for this class was generated from the following file:

- remoteindices.hh